Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io.arc
Class ARCWriterPool

    java.lang.Object
      org.archive.io.WriterPool
          org.archive.io.arc.ARCWriterPool

    public class ARCWriterPool

extends WriterPool

A pool of ARCWriters.

Author:
  stack

Field Summary

Fields inherited from class org.archive.io.WriterPool
`DEFAULT_MAX_ACTIVE, DEFAULT_MAXIMUM_WAIT, NO_MAX_IDLE`

Constructor Summary
`ARCWriterPool(java.util.concurrent.atomic.AtomicInteger serial, WriterPoolSettings settings, int poolMaximumActive, int poolMaximumWait)` Constructor
`ARCWriterPool(WriterPoolSettings settings, int poolMaximumActive, int poolMaximumWait)` Constructor

Method Summary

Methods inherited from class org.archive.io.WriterPool
`borrowFile, close, getNumActive, getNumIdle, getPoolState, getPoolState, getSerialNo, getSettings, invalidateFile, returnFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ARCWriterPool

    public ARCWriterPool(WriterPoolSettings settings,
                         int poolMaximumActive,
                         int poolMaximumWait)

  Constructor

  Parameters:
    `settings` - Settings for this pool.
    `poolMaximumActive` -
    `poolMaximumWait` -

### ARCWriterPool

    public ARCWriterPool(java.util.concurrent.atomic.AtomicInteger serial,
                         WriterPoolSettings settings,
                         int poolMaximumActive,
                         int poolMaximumWait)

  Constructor

  Parameters:
    `serial` - Used to generate unique filename sequences
    `settings` - Settings for this pool.
    `poolMaximumActive` -
    `poolMaximumWait` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.